<template>
  <h1 class="display-6 fs-3 my-4 text-center">•Escuchado Recientemente•</h1>
  <div class="d-flex justify-content-evenly mt-1">
    <b-row>
      <b-col v-for="reciente in escuchadoReciente" :key="reciente.id">
        <a href="#">
          <b-card
            :title="`${reciente.titulo}`"
            :img-src="`${reciente.img}`"
            img-alt="Image"
            img-top
            style="max-width: 18rem"
            class="mb-2 shadow text-center p-4"
          >
            <b-card-text v-if="reciente.autor != ''">
              <h5 v-text="reciente.autor" class="text-center"></h5>
            </b-card-text>
            <b-card-text v-else>
              <h5><br /></h5>
            </b-card-text>
          </b-card>
        </a>
      </b-col>
    </b-row>
  </div>
</template>

<script>
export default {
  data() {
    return {
      escuchadoReciente: [],
    };
  },
  async mounted() {
    const tusMeGustas = {
      img: "https://cdn-icons-png.flaticon.com/512/17/17732.png",
      titulo: "Tus me gustas",
      autor: "",
    };
    const albumReciente = {
      img: "https://encrypted-tbn0.gstatic.com/images?q=tbn:ANd9GcQKaQJqEW6e7gItULndmf5NUSlzFRIbRGIGjnysN-lJ6h21X1-M7oQS4Y1n0jbp3O58ABg&usqp=CAU",
      titulo: "Evoluciona",
      autor: "Tronic",
    };
    this.escuchadoReciente.push(tusMeGustas);
    this.escuchadoReciente.push(albumReciente);
    this.escuchadoReciente.push(albumReciente);
  },
};
</script>

<style>
a:link, a:visited, a:active, a:hover{
    text-decoration:none !important;
    color: black !important;
}
</style>